
QGIS Application - Bug report #4045

Seg Fault on open layer properties

2011-07-03 01:49 AM - Nathan Woodrow

Status: Closed

Priority: High

Assignee: Marco Hugentobler

Category: Symbology

Affected QGIS version: Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 14031

Description

Latest build seems to seg fault when opening the layer properties on a new layer.  Reproducible steps seem hard to find.  Most of the time

it crashes after doing the following:

    -  Create new layer

    -  Set layer editable

    -  Turn off editing

    -  Open layer properties via double click.

Seg fault info:

0x003b7777 in QgsSvgCache::cacheEntry (this=0x9c2e730, file=..., size=18, fill=..., outline=..., outlineWidth=1,

widthScaleFactor=3.7795275590551185, 

    rasterScaleFactor=1) at src/core/symbology-ng/qgssvgcache.cpp:315

315        mMostRecentEntry->nextEntry = currentEntry;

History

#1 - 2011-07-04 06:44 AM - Nathan Woodrow

- Assignee set to Marco Hugentobler

Seems to be caused by a null mMostRecentEntry at line 315

#2 - 2011-07-04 06:23 PM - Nathan Woodrow

- Resolution set to fixed

- % Done changed from 0 to 100

Fixed in commit:b2c7bae9

#3 - 2011-07-04 06:24 PM - Nathan Woodrow

- Status changed from Open to Closed
